/** @type {import('next').NextConfig} */
import { resolve } from 'path';

const nextConfig = {
  webpack: (config, { isServer }) => {
    // Ensure inherits is properly resolved
    config.resolve.fallback = {
      ...config.resolve.fallback,
      inherits: resolve('node_modules/inherits/inherits_browser.js'),
    };

    // Additional custom webpack configurations can go here

    return config;
  },
};

export default nextConfig;
