import { _mock } from './_mock';

export type ICategory = {
  id: string;
  image: string;
  name: string;
  slug: string;
  description: string;
  total: number;
};



export const _categories = [...Array(20)].map((_, index) => ({
  id: _mock.id(index),
  image: _mock.image.cover(index), // Use avatar images for categories
  name: _mock.categoryName(index), // You might need to create this function in _mock
  slug: _mock.slug(index), // You might need to create this function in _mock
  description: _mock.sentence(index),
  total: _mock.number.age(index), // You might need to create this function in _mock
}));
