'use client';

import { paths } from '@/routes/paths';
import Container from "@mui/material/Container";
import CustomBreadcrumbs from '@/shared/components/custom-breadcrumbs';
import { FAQNewEditForm } from '../faq-new-edit-form';

// ----------------------------------------------------------------------

export function FAQCreateView() {
  return (
    <Container>
      <CustomBreadcrumbs
        heading="Céer une FAQ"
        links={[
          { name: 'Tableau de bord'},
          { name: 'Liste FAQ',href: paths.dashboard.chatbot.faq.root },
          { name: 'Créer une FAQ'}
        ]}
        sx={{ mb: { xs: 3, md: 5 } }}
      />
      <FAQNewEditForm />
    </Container>
  );
}
