'use client';

import Container from '@mui/material/Container';
import { useSettingsContext } from '@/shared/components/settings';
import OrderListView from "@/shared/sections/driver/order/view/supplier-order-list-driver-view";

export default function SupplierOrderView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : 'xl'}>
      <OrderListView />
    </Container>
  );
}
