'use client';
import React from 'react';
import { Button, FormControl, TextField } from '@mui/material';
import CustomBreadcrumbs from '@/components/custom-breadcrumbs/custom-breadcrumbs';
import { paths } from '@/routes/paths';


const EmailGiftcardForm = () => {
  return (

    <div className="center-content" style={{ position: 'absolute', top: '50%', left: '50%', transform: 'translate(-50%, -50%)' }}>
      <CustomBreadcrumbs

        links={[
          {
            name: 'dashboard',
            href: paths.dashboard.root,
          },

          {
            name: 'Cartes cadeaux',
            href: paths.dashboard.admin.giftcard.all_giftcard,
          },

          {
            name: 'voir la carte cadeau d\'email',
          },
        ]}
        sx={{
          mb: { xs: 3, md: 5 },
        }}
      />
      <p style={{ marginBottom: '32px', textAlign: "center" }}><b>Carte cadeau d'email</b></p>
      <form>
        <FormControl defaultValue="" required>
          <div className="main-content" style={{ marginLeft: '50px' }}>

            <form>
              <FormControl defaultValue="" required>

                <TextField
                  id="outlined-nom-destinataire"
                  label="Adresse email du destinataire"
                  type="search"
                  placeholder='entrer adresse email du destinataire'
                  required
                  InputLabelProps={{ shrink: true }} // Pour placer le label au-dessus du TextField

                  variant="outlined"
                  style={{ width: '100%', marginRight: '100px', marginBottom: '40px' }}
                />
                <TextField
                  id="outlined-nom-destinataire"
                  label="Nom du destinataire"
                  type='search'
                  variant="outlined"
                  InputLabelProps={{ shrink: true }}
                  placeholder="Saisissez le nom du destinataire "
                  style={{ width: '100%', marginRight: '250px', marginBottom: '40px' }}
                />

                <TextField
                  id="outlined-valeur-code"
                  label="de (optionnel)"
                  type="search"
                  InputLabelProps={{ shrink: true }}

                  placeholder='entrer le nom '
                  variant="outlined"
                  style={{ width: '100%', marginRight: '100px', marginBottom: '40px' }}
                />

                <TextField
                  id="outlined-description"
                  label="Message (optionnel)"
                  multiline
                  rows={4}
                  variant="outlined"
                  InputLabelProps={{ shrink: true }}
                  placeholder="Saisissez votre message ici..."
                  style={{ width: '100%', marginRight: '100px', marginBottom: '40px' }}
                />

                <Button variant="contained" color="primary" type="submit" style={{ marginRight: '100px', marginBottom: '40px' }}>
                  Envoyer l'email
                </Button>


              </FormControl>


            </form>
          </div>
          {/* Your input fields for General section */}
        </FormControl>
      </form>
    </div>
  );
};

export default EmailGiftcardForm;
