import { GridCellParams } from "@mui/x-data-grid";

// ----------------------------------------------------------------------

type ParamsProps = {
  params: GridCellParams;
};

// Rendu de la cellule pour le champ "name"
export function RenderCellName({ params }: ParamsProps) {
  return <>{params.row.name}</>;
}

// Rendu de la cellule pour le champ "email"
export function RenderCellEmail({ params }: ParamsProps) {
  return <>{params.row.referrerEmail}</>;
}

// Rendu de la cellule pour le champ "code"
export function RenderCellCode({ params }: ParamsProps) {
  return <>{params.row.referrerCode}</>;
}

// Rendu de la cellule pour le champ "total"
export function RenderCellTotal({ params }: ParamsProps) {
  return <>{params.row.referralTotal}</>;
}

// Rendu de la cellule pour le champ "gains"
export function RenderCellGain({ params }: ParamsProps) {
  return <>{params.row.total} €</>;
}
