import { ENCRYPTION_IV, ENCRYPTION_KEY } from '@/config-global';
import CryptoJS from 'crypto-js';
const key = CryptoJS.enc.Utf8.parse(ENCRYPTION_KEY);
const iv = CryptoJS.enc.Utf8.parse(ENCRYPTION_IV);

const encryptData = (data: string) => {
    return CryptoJS.AES.encrypt(data, key, {
        iv: iv,
    }).toString();
}

export const getRequestAuthorization = () => {
    const authorization = {
        serviceName: "mydressin-front",
        timestamp: new Date().getTime()
    };
    return encryptData(JSON.stringify(authorization));
}