
"use client";
import PaymentMethodsLayout from '@/shared/layouts/payment';
import { SnackbarProvider } from "@/components/snackbar";


type Props = {
  children: React.ReactNode;
};

export default function Layout({ children }: Props) {
  
  return (
    <PaymentMethodsLayout >
      <SnackbarProvider>
      {children}
      </SnackbarProvider>
    </PaymentMethodsLayout>
  );
}
