import { IRole } from "@/shared/types/user";

export interface Driver {
    id: number;
    firstName: string;
    lastName: string;
    phoneNumber: string;
    email: string;
    street: string;
    city: string;
    country: string;
}

export interface IDriverItem {
    id: number;
    uid: number;
    email: string;
    pseudo: string;
    password: string;
    phoneNumber: string;
    firstName: string;
    lastName: string;
    imageUrl: string;
    roles: IRole;
    createdAt: string;
    status: string;
    activityLog: boolean;
}