'use client';

import Container from "@mui/material/Container";
import CustomBreadcrumbs from '@/shared/components/custom-breadcrumbs';
import { CollectionNewEditForm } from '../help-new-edit-form';

// ----------------------------------------------------------------------

export function CollectionCreateView() {
  return (
    <Container>
      <CustomBreadcrumbs
        heading="Créer Une Collection"
        links={[
          { name: 'Tableau de bord'},
          { name: 'Créer Une Collection'}
        ]}
        sx={{ mb: { xs: 3, md: 5 } }}
      />
      <CollectionNewEditForm/>
    </Container>
  );
}
