"use client";

import Container from "@mui/material/Container";
import { Grid } from "@mui/material";

import AppWidgetSummary from "../../../cart/statistics/statistics-widget-summary";
import { useTheme } from "@mui/material/styles";

export default function AllStatisticsView() {
  const theme = useTheme();

  return (
    <Container>
      <Grid container spacing={3}>
        <Grid item xs={12} sm={6} md={4}>
          <AppWidgetSummary
            title="Total de Commandes"
            total={920}
            color={theme.palette.error.lighter}
          />
        </Grid>

        <Grid item xs={12} sm={6} md={4}>
          <AppWidgetSummary
            title="Total de Commandes Attendues"
            total={4876}
            color={theme.palette.info.dark}
          />
        </Grid>
        
        <Grid item xs={12} sm={6} md={4}>
          <AppWidgetSummary
            title="Total de Commandes Reçues"
            total={18765}
            color={theme.palette.error.light}
          />
        </Grid>
      </Grid>
    </Container>
  );
}
