'use client';
import Container from '@mui/material/Container';

import { useSettingsContext } from '@/shared/components/settings';


import OrderListView from "@/shared/sections/driver/supplier/view/SupplierListView";


export default function SupplierView() {
  const settings = useSettingsContext();

  return (
    <Container maxWidth={settings.themeStretch ? false : 'xl'}>
  
    <OrderListView>
          
    </OrderListView>
      
    </Container>
  );
}
