import React from "react";
import {
  Grid,
  Stack,
  Checkbox,
  FormControlLabel,
  FormGroup,
} from "@mui/material";
import LoadingButton from "@mui/lab/LoadingButton";

export default function ColumnView() {

  const handleSubmit = (event: React.FormEvent<HTMLFormElement>) => {
    event.preventDefault();
    console.log("Formulaire soumis !");
  };

  return (
    <form onSubmit={handleSubmit}>
        <Stack spacing={3} sx={{ p: 1}}>
          <Grid container spacing={2} alignItems="center">
            <Grid item xs={10} md={10}>
              <FormGroup>
                <FormControlLabel
                  disabled
                  control={<Checkbox  />}
                  label="Commande"
                />
                <FormControlLabel
                  control={<Checkbox defaultChecked />}
                  label="Client"
                />
                <FormControlLabel
                  control={<Checkbox />}
                  label="Date"
                />
                <FormControlLabel
                  control={<Checkbox />}
                  label="Article"
                />
                <FormControlLabel
                  control={<Checkbox />}
                  label="Prix"
                />
              </FormGroup>
            </Grid>
            </Grid>
        </Stack>
        <LoadingButton type="submit" variant="contained" fullWidth>
        Personnaliser
      </LoadingButton>

    </form>
  );
}
