import { Divider, Stack, Typography } from "@mui/material";

type Props = {
    chauffeur: string;
    fournisseur: string;
    
}

export default function SupplierOrderDetailsContainer({chauffeur, fournisseur}: Props) {
    return (
        <>
            
        <Stack sx={{ width: 1 }} direction={{ xs: "column", md: "row" }}>
          <Stack direction="row" alignItems="center" sx={{ mb: 1 }}>
            <Typography
              variant="h6"
              sx={{ color: "text.disabled", flexGrow: 1 }}
            >
              Chauffeur
            </Typography>
            {chauffeur}

          </Stack>
          <Divider />
          <Stack direction="row" alignItems="center" sx={{ mb: 1 }}>
            <Typography
              variant="h6"
              sx={{ color: "text.disabled", flexGrow: 1 }}
            >
              Fournisseur
            </Typography>
            {fournisseur}
          </Stack>
        </Stack>
        </>
    );
}