// ----------------------------------------------------------------------

import { AddressType } from "./user";

export type IAddressItem = {
  id?: string;
  name: string;
  company?: string;
  primary?: boolean;
  fullAddress: string;
  phoneNumber?: string;
  addressType?: string;
  supplier?: string;
};
export type SaveAddressRequest = {
  clientUid: number;
  firstName: string;
  lastName: string;
  companyName: string;
  phoneNumber: string;
  email: string;
  street: string;
  home: string;
  city: string;
  zipCode: string;
  country: string;
  addressType: AddressType;
};
