export type IAttribute = {
  id?: number;
  nom: string;
  identifiant: string;
  activeArchive: boolean;
  defaultSort: keyof typeof TrieOption | null; // Utilisation de keyof typeof pour les types d'enum
  type: keyof typeof TypeOption | null;
  createdAt?: string;
};

export enum TrieOption {
  CUSTOM_SORT = "Tri personnalisé",
  NAME = "Nom",
  NUMERIC_NAME = "Nom (numérique)",
  TERM_ID = "ID Terme",
  MENU_ORDER = "menu order"
}

export enum TypeOption {
  COLOR = "Couleur",
  IMAGE = "Image",
  CHOICE = "Choix",
  LABEL = "Label",
}

export interface ITerm {
  id: number;
  nom: string;
  slug: string;
  name: string;
}
