import type { IDateValue } from './common';

// ----------------------------------------------------------------------

export type IFAQItem = {
    id: string;
    question: string;
    answer: string;
    category: string;
};

export type IFAQGetItem = {
    id: string;
    question: string;
    answer: string;
    createdAt: IDateValue;
    updatedAt: IDateValue;
    category: string;
  };
  
export type IFAQItemAddUpdate = {
  question: string;
  answer: string;
  category: string;
};