import type { IDateValue } from './common';

// ----------------------------------------------------------------------

export type IHelpItem = {
  id: string;
  name: string;
  description: string;
  createdAt: IDateValue;
  updatedAt: IDateValue;
  articleCount: number;
};

export type IHelpGetItem = {
  name: string;
  description: string;
  articles: IHelpArticleAddUpdate[];
}

export type IHelpCollectionAddUpdate = {
  name: string;
  description: string;
};

export type IHelpArticleAddUpdate = {
  id: string;
  question: string;
  answer: string;
};
