import { ProductType } from "./product";

  
  export interface IMigration {
    productId: number;
    name: string;
    imagePath: string;
    quantitySold: number;
    remainingLiveStock: number;
    remainingWebStock: number;
    quantityToMigrate: number;
    productType: ProductType;
    migrationDate: string; 
  }
  
  export type IMigrationTableFilters = {
    name: string;
  };
  
  export type IMigrationTableFilterValue = string | string[] | Date | null;
  