export type IReferralSettingsDTO = {
  id?: number | null;
  referralProgramActivatedEnabled: boolean;
  ipVerificationEnabled: boolean;
  discountOnFirstPurchaseEnabled: boolean;
  couponAfterFirstPurchaseEnabled: boolean;
  promoCodeOnFirstPurchase: ReferralPromoCodeRequest;
  promoCodeAfterFirstPurchase: ReferralPromoCodeRequest;
  promoCodeOnFirstPurchaseForReferrer: ReferralPromoCodeRequest;
  promoCodeAfterFirstPurchaseForReferrer: ReferralPromoCodeRequest;

};

export type ReferralShareSettingsDTO ={
    id:number;
    shareViaFacebookEnabled:boolean;
    shareViaTwitterEnabled:boolean;
    shareViaWhatsappEnabled:boolean;
    shareViaInstagramEnabled:boolean;
    message:string;
}

export type ReferralPromoCodeRequest = {
  id: number;
  code: string;
};
export type ReferralListResponse = {
    id: number;
  name:string;
  referrerEmail:string;
  referrerCode:string;
  total :number;
  referralTotal : number;
};
