export type IColor = {
    id: string;
    nom : string;
    description : string;
    slug : string ;
    color : string ;
    total: string;
    attributeId? : string
    createdAt?: string;
}

export type IColorRequest = {
    nom : string;
    description : string;
    slug : string ;
    color : string ;
    attributeId? : string
}

export type ILabel = {
    id ?: string;
    name : string;
    description : string;
    slug : string ;
    total ?: string;
    attributeId? : string;
    createdAt?: string;
}

export type IChoice = {
    id ?: string;
    nom : string;
    description : string;
    slug : string ;
    total ?: string;
    attributeId? : string;
    createdAt?: string;
}

export type IImage = {
    id ?: string;
    nom : string;
    description : string;
    slug : string ;
    image : string | null;
    total ?: string;
    attributeId? : string;
    createdAt?: string;
}
