// Helper function to clean image URLs

export function cleanImageUrl(url: string): string {
  return url.replace("Optional[", "").replace("]", "");
}

export function extractUrl(str: string | null) {
  if (!str) {
    return null;
  }
  const match = str.match(/\[(.*?)\]/);
  return match ? match[1] : null;
}

export function ClearUrl(url: string): string {
  if (url.startsWith("Optional[")) {
    return url.slice(9, -1); // Retire "Optional[" au début et "]" à la fin
  }
  return url;
}
